org.eclipse.jetty.jndi.local

## Class localContextRoot

- java.lang.Object
- - org.eclipse.jetty.jndi.local.localContextRoot

All Implemented Interfaces:
  Context

    public class localContextRoot
    extends Object
    implements Context

localContext Implementation of the delegate for InitialContext for the local namespace.

Version:
  $Revision: 4780 $ $Date: 2009-03-17 16:36:08 +0100 (Tue, 17 Mar 2009) $

### Field Summary

Fields
`protected static NamingContext` `__root`

### Fields inherited from interface javax.naming.Context

`APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

### Constructor Summary

Constructors
Constructor and Description
`localContextRoot(Hashtable env)`

### Method Summary

Methods
`Object` `addToEnvironment(String propName, Object propVal)`
`void` `bind(Name name, Object obj)`
`void` `bind(String name, Object obj)`
`void` `close()`
`Name` `composeName(Name name, Name prefix)`
`String` `composeName(String name, String prefix)`
`Context` `createSubcontext(Name name)`
`Context` `createSubcontext(String name)`
`void` `destroySubcontext(Name name)`
`void` `destroySubcontext(String name)`
`Hashtable` `getEnvironment()`
`String` `getNameInNamespace()`
`NameParser` `getNameParser(Name name)`
`NameParser` `getNameParser(String name)`
`static NamingContext` `getRoot()`
`protected Name` `getSuffix(Name name)`
`protected String` `getSuffix(String url)`
`NamingEnumeration` `list(Name name)`
`NamingEnumeration` `list(String name)`
`NamingEnumeration` `listBindings(Name name)`
`NamingEnumeration` `listBindings(String name)`
`Object` `lookup(Name name)`
`Object` `lookup(String name)`
`Object` `lookupLink(Name name)`
`Object` `lookupLink(String name)`
`void` `rebind(Name name, Object obj)`
`void` `rebind(String name, Object obj)`
`Object` `removeFromEnvironment(String propName)`
`void` `rename(Name oldName, Name newName)`
`void` `rename(String oldName, String newName)`
`void` `unbind(Name name)`
`void` `unbind(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __root

    protected static final NamingContext __root

### Constructor Detail

#### localContextRoot

    public localContextRoot(Hashtable env)

### Method Detail

#### getRoot

    public static NamingContext getRoot()

#### close

    public void close()
               throws NamingException

Specified by:
  `close` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.close()`

#### getNameInNamespace

    public String getNameInNamespace()
                              throws NamingException

Specified by:
  `getNameInNamespace` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.getNameInNamespace()`

#### destroySubcontext

    public void destroySubcontext(Name name)
                           throws NamingException

Specified by:
  `destroySubcontext` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.destroySubcontext(javax.naming.Name)`

#### destroySubcontext

    public void destroySubcontext(String name)
                           throws NamingException

Specified by:
  `destroySubcontext` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.destroySubcontext(java.lang.String)`

#### getEnvironment

    public Hashtable getEnvironment()
                             throws NamingException

Specified by:
  `getEnvironment` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.getEnvironment()`

#### unbind

    public void unbind(Name name)
                throws NamingException

Specified by:
  `unbind` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.unbind(javax.naming.Name)`

#### unbind

    public void unbind(String name)
                throws NamingException

Specified by:
  `unbind` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.unbind(java.lang.String)`

#### lookupLink

    public Object lookupLink(String name)
                      throws NamingException

Specified by:
  `lookupLink` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.lookupLink(java.lang.String)`

#### lookupLink

    public Object lookupLink(Name name)
                      throws NamingException

Specified by:
  `lookupLink` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.lookupLink(javax.naming.Name)`

#### removeFromEnvironment

    public Object removeFromEnvironment(String propName)
                                 throws NamingException

Specified by:
  `removeFromEnvironment` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.removeFromEnvironment(java.lang.String)`

#### lookup

    public Object lookup(Name name)
                  throws NamingException

Specified by:
  `lookup` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.lookup(javax.naming.Name)`

#### lookup

    public Object lookup(String name)
                  throws NamingException

Specified by:
  `lookup` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.lookup(java.lang.String)`

#### bind

    public void bind(String name,
            Object obj)
              throws NamingException

Specified by:
  `bind` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.bind(java.lang.String, java.lang.Object)`

#### bind

    public void bind(Name name,
            Object obj)
              throws NamingException

Specified by:
  `bind` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.bind(javax.naming.Name, java.lang.Object)`

#### rebind

    public void rebind(Name name,
              Object obj)
                throws NamingException

Specified by:
  `rebind` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.rebind(javax.naming.Name, java.lang.Object)`

#### rebind

    public void rebind(String name,
              Object obj)
                throws NamingException

Specified by:
  `rebind` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.rebind(java.lang.String, java.lang.Object)`

#### rename

    public void rename(Name oldName,
              Name newName)
                throws NamingException

Specified by:
  `rename` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.rename(javax.naming.Name, javax.naming.Name)`

#### rename

    public void rename(String oldName,
              String newName)
                throws NamingException

Specified by:
  `rename` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.rename(java.lang.String, java.lang.String)`

#### createSubcontext

    public Context createSubcontext(String name)
                             throws NamingException

Specified by:
  `createSubcontext` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.createSubcontext(java.lang.String)`

#### createSubcontext

    public Context createSubcontext(Name name)
                             throws NamingException

Specified by:
  `createSubcontext` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.createSubcontext(javax.naming.Name)`

#### getNameParser

    public NameParser getNameParser(String name)
                             throws NamingException

Specified by:
  `getNameParser` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.getNameParser(java.lang.String)`

#### getNameParser

    public NameParser getNameParser(Name name)
                             throws NamingException

Specified by:
  `getNameParser` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.getNameParser(javax.naming.Name)`

#### list

    public NamingEnumeration list(String name)
                           throws NamingException

Specified by:
  `list` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.list(java.lang.String)`

#### list

    public NamingEnumeration list(Name name)
                           throws NamingException

Specified by:
  `list` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.list(javax.naming.Name)`

#### listBindings

    public NamingEnumeration listBindings(Name name)
                                   throws NamingException

Specified by:
  `listBindings` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.listBindings(javax.naming.Name)`

#### listBindings

    public NamingEnumeration listBindings(String name)
                                   throws NamingException

Specified by:
  `listBindings` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.listBindings(java.lang.String)`

#### addToEnvironment

    public Object addToEnvironment(String propName,
                          Object propVal)
                            throws NamingException

Specified by:
  `addToEnvironment` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.addToEnvironment(java.lang.String, java.lang.Object)`

#### composeName

    public String composeName(String name,
                     String prefix)
                       throws NamingException

Specified by:
  `composeName` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.composeName(java.lang.String, java.lang.String)`

#### composeName

    public Name composeName(Name name,
                   Name prefix)
                     throws NamingException

Specified by:
  `composeName` in interface `Context`
Throws:
  `NamingException`
See Also:
  `Context.composeName(javax.naming.Name, javax.naming.Name)`

#### getSuffix

    protected String getSuffix(String url)
                        throws NamingException

Throws:
  `NamingException`

#### getSuffix

    protected Name getSuffix(Name name)
                      throws NamingException

Throws:
  `NamingException`